# Class ModifierTypeOption

- Defined in src/modifier/modifier-type.ts:1880

#####
Index

### Constructors

constructor

### Properties

cost
type
upgradeCount

## Constructors

### constructor

- new ModifierTypeOption(type, upgradeCount, cost?): ModifierTypeOption

- #### Parameters

  - type: ModifierType
  - upgradeCount: number
  - cost: number = 0

  #### Returns ModifierTypeOption

  - Defined in src/modifier/modifier-type.ts:1885

## Properties

### cost

cost: number

- Defined in src/modifier/modifier-type.ts:1883

### type

type: ModifierType

- Defined in src/modifier/modifier-type.ts:1881

### upgradeCount

upgradeCount: number

- Defined in src/modifier/modifier-type.ts:1882